@use "../../../styles/colors-fonts" as cf;

@mixin absolute-bottom-left {
  position: absolute;
  bottom: 0;
  left: 0;
}

@mixin absolute-add-top-right {
  top: 0;
  right: 0;
}

@mixin transition-opacity {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s;
}

.creations {
  display: grid;
  grid-template-columns: 1fr auto;
  gap: 4.8rem;
  justify-items: end;
  padding: 3.2rem 0 10.8rem;
}

.heading,
.btn-see-all {
  text-transform: uppercase;
  color: cf.$primary-dark;
}

.heading {
  @include cf.josefin-font;
  font-size: 3.2rem;
  justify-self: start;
}

.btn-see-all {
  justify-self: end;
  align-self: end;
  text-decoration: none;
  box-shadow: 0 0 0 1px cf.$primary-dark;
  padding: 0.6rem 2rem;
  font-size: 0.8rem;
  font-weight: 700;
  letter-spacing: 0.2rem;
  display: inline-flex;
  align-items: center;
  transition: background-color 0.2s, color 0.2s, box-shadow 0.2s;
  &:hover {
    background-color: cf.$primary-dark;
    box-shadow: none;
    color: cf.$primary-light;
  }
}

.gallery {
  justify-self: stretch;
  grid-column: 1 / -1;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 1.6rem;
}

.card {
  position: relative;
  cursor: pointer;
  &:hover {
    .label-wrapper {
      display: none;
    }
  }
  &::before,
  &::after {
    @include absolute-bottom-left;
    @include transition-opacity;
  }
  &::before {
    @include absolute-add-top-right;
    content: "";
    background-color: rgba(255, 255, 255, 0.7);
  }
  &::after {
    @include cf.josefin-font;
    content: attr(data-label);
    padding: 5rem 1.6rem 1.6rem;
    color: cf.$primary-dark;
    font-weight: 900;
  }
  &:hover::before,
  &:hover::after {
    opacity: 1;
    visibility: visible;
  }
}

.label,
.card::after {
  font-size: 1.8rem;
  width: 60%;
  text-transform: uppercase;
}

.card-image {
  width: 100%;
  display: block;
}

.label-wrapper {
  @include absolute-bottom-left;
  right: 0;
  padding: 1.6rem;
  background: linear-gradient(rgba(0, 0, 0, 0.01), rgba(0, 0, 0, 0.9));
}

.label {
  @include cf.josefin-font;
  color: cf.$primary-light;
}

@media (min-width: 701px) and (max-width: 1200px) {
  .gallery {
    gap: 0.8rem;
  }
  .label,
  .card::after {
    font-size: 1.4rem;
    width: 70%;
  }
}

@media (max-width: 700px) {
  .creations {
    gap: 3.2rem;
  }
  .heading {
    font-size: 2.2rem;
    grid-column: 1 / -1;
    justify-self: center;
  }
  .btn-see-all {
    grid-row: 3;
    grid-column: 1 / -1;
    justify-self: center;
    padding: 0.6rem 2.4rem;
    font-size: 1rem;
    letter-spacing: 0.4rem;
    font-weight: 500;
  }
  .gallery {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    gap: 2rem;
  }
  .label,
  .card::after {
    font-size: 1.4rem;
    width: 25%;
  }
}

@media (max-width: 500px) {
  .gallery {
    gap: 1rem;
  }
  .label,
  .card::after {
    font-size: 1.2rem;
    width: 35%;
  }
}
